Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class MailboxQuota

    java.lang.Object
      com.compoze.domino.MailboxQuota

All Implemented Interfaces:
  java.io.Serializable

public class MailboxQuota
extends java.lang.Object
implements java.io.Serializable

This class contains mailbox quota details.

See Also:
  Serialized Form

Constructor Summary
`protected` | `MailboxQuota(long lWarningThreshold, long lSizeLimit, long lCurrentDbSize, long lMaxDbSize)` Constructor.

Method Summary
`long` | `getCurrentDbSize()` Gets the current size of database (in kbyte units).
`long` | `getMaxDbSize()` Gets the maximum database file size possible (in kbyte units).
`long` | `getSizeLimit()` Gets the database size limit in kbyte units.
`long` | `getWarningThreshold()` Gets the database size warning threshold in kbyte units.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailboxQuota

    protected MailboxQuota(long lWarningThreshold,
                           long lSizeLimit,
                           long lCurrentDbSize,
                           long lMaxDbSize)

  Constructor.

Parameters:
  `lWarningThreshold` - Database size warning threshold in kbyte units
  `lSizeLimit` - Database size limit in kbyte units
  `lCurrentDbSize` - Current size of database (in kbyte units)
  `lMaxDbSize` - Max database file size possible (in kbyte units)

Method Detail

### getWarningThreshold

    public long getWarningThreshold()

  Gets the database size warning threshold in kbyte units.

  Returns:
    the database size warning threshold in kbyte units

### getSizeLimit

    public long getSizeLimit()

  Gets the database size limit in kbyte units.

  Returns:
    the database size limit in kbyte units

### getCurrentDbSize

    public long getCurrentDbSize()

  Gets the current size of database (in kbyte units).

  Returns:
    the current size of database (in kbyte units)

### getMaxDbSize

    public long getMaxDbSize()

  Gets the maximum database file size possible (in kbyte units).

  Returns:
    the maximum database file size possible (in kbyte units)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.